Table class

- « Statement::hasMoreResults

- Table::__construct »

- PHP Manual
- Mysql_xdevapi
- Table class

# Table class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

Provides access to the table through INSERT/SELECT/UPDATE/DELETE statements.

## Class synopsis

class mysql_xdevapi\Table implements mysql_xdevapi\SchemaObject {
/* Properties */
public $name;
/* Methods */
public count(): int
public delete(): mysql_xdevapi\TableDelete
public existsInDatabase(): bool
public getName(): string
public getSchema(): mysql_xdevapi\Schema
public getSession(): mysql_xdevapi\Session
public insert(mixed `$columns`, mixed `...$more_columns`): mysql_xdevapi\TableInsert
public isView(): bool
public select(mixed `$columns`, mixed `...$more_columns`): mysql_xdevapi\TableSelect
public update(): mysql_xdevapi\TableUpdate
}

## Properties

name

## Table of Contents

- Table::__construct — Table constructor
- Table::count — Get row count
- Table::delete — Delete rows from table
- Table::existsInDatabase — Check if table exists in database
- Table::getName — Get table name
- Table::getSchema — Get table schema
- Table::getSession — Get table session
- Table::insert — Insert table rows
- Table::isView — Check if table is view
- Table::select — Select rows from table
- Table::update — Update rows in table